UMBCTL(8) | System Manager's Manual | UMBCTL(8)

# NAME

`umbctl` — display or set parameters for a MBIM interface (4G/LTE)

# SYNOPSIS

`umbctl` | [`-v`] ifname [parameter [value]] [...]

`umbctl` | [`-v`] `-f` config-file ifname

# DESCRIPTION

`umbctl` supports the following options:

`-f` config-file
  Parse config-file for parameter[=value] pairs, one per line, as if they had been specified on the command line. This allows the password or PIN codes to be not passed as command line arguments. Comments starting with # to the end of the current line are ignored.
`-v`
  Enables verbose mode.

The umb(4) driver may require a number of additional arguments or optional parameters besides the settings that can be adjusted with ifconfig(8). These may be credentials or other tunable connectivity variables. The `umbctl` utility can be used to display the current settings, or adjust these parameters as required.

For whatever intent `umbctl` is being called, at least the parameter ifname needs to be specified, naming the interface for which the settings are to be performed or displayed. Use ifconfig(8) or netstat(1) to see which interfaces are available.

If no other parameter is given, `umbctl` will just list the current status for ifname and exit.

If any additional parameter is supplied, superuser privileges are required, and the command works in ‘`set`’ mode. This is normally done quietly, unless the option `-v` is also enabled, which will cause a final printout of the status as described above once all other actions have been taken.

The parameters currently supported include:

apn=access-point
  Set the APN to access-point.
username=username
  Set the username to username.
password=password
  Set the password to password.
pin=pin-code
  Enter the PIN pin-code.
puk=puk-code
  Enter the PUK puk-code.
roaming
  Allow data connections when roaming.
-roaming
  Deny data connections when roaming.

# EXAMPLES

    # umbctl umb0
    umb0: state up, mode automatic, registration home network
    	provider "BSD-Net", dataclass LTE, signal good
    	phone number "+15554242", roaming "" (denied)
    	APN "", TX 50000000, RX 100000000
    	firmware "MBIM_FW_V1.0", hardware "MBIM_HW_V1.0"

Display the settings for umb0.

    # umbctl umb0 apn operator.internet username mobile password mobile

Configure the connection parameters for umb0 from the command line.

    # umbctl -f /dev/stdin umb0 << EOF
    pin=1234
    EOF

Configure the connection parameters for umb0 from a file.

# SEE ALSO

netstat(1), umb(4), ifconfig(8), ifwatchd(8)

# HISTORY

The `umbctl` utility first appeared in NetBSD 9.0.

# AUTHORS

The program was written by Pierre Pronchery.

March 22, 2020 | NetBSD 10.99